LINUX.ORG.RU

Firefox 62: больше не поддерживаются распакованные расширения и ... словари

 , , ,


0

0

От ненависти дым из ушей.

У меня 20 лет словари для Firefox лежали в /opt/firefox/dictionaries, и, о, чудо, Firefox 62 эту папку полностью игнорирует.

В документации ничего про system-wide инсталляцию расширений не находится - ткните, пожалуйста, носом.

Я нашёл https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Alternative_distrib... но это какое-то непотребное г-но.

Вот это https://support.mozilla.org/en-US/questions/966922 уже не работает.

Больше не поддерживаются ненужно и ненужно. Отличная новость.

sid350 ★★★★★ ()

Вот это https://support.mozilla.org/en-US/questions/966922 уже не работает.

Там текст от 2013 года, и он не про WebExtensions.

Firefox 62: больше не поддерживаются распакованные расширения

Зачем устанавливать распакованное, если можно устанавливать запакованное? *.xpi спокойно устанавливаются.

Virtuos86 ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Зачем ты его кастуешь, если он как ТС автоматически подписан на свой тред и получает уведомление о каждом комментарии?)

Virtuos86 ★★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Что как бы намекает, что ему не нужны лишние меншоны.

И вот не понимаю, зачем советовать ему старье и ESR. Те юзают идейные, либо кому нужно.

Virtuos86 ★★★★★ ()
Последнее исправление: Virtuos86 (всего исправлений: 1)
Ответ на: комментарий от Riniko

Внезапно, Quantum. С ним намного лучше. Ещё CSD, но это плюс только для пользователей GNOME.

commagray ★★★★ ()
Ответ на: комментарий от commagray

Ещё CSD, но это плюс только для пользователей GNOME

В KDE тоже работает, но в какой-то момент нельзя менять размер окна.

ozz_is_here ()
Ответ на: комментарий от Riniko

А что есть в самой новой версии, чего нет в 52 ESR?

Настоящее и будущее Firefox, а не прошлое.

Virtuos86 ★★★★★ ()
Ответ на: комментарий от sid350

Больше не поддерживаются ненужно в ненужно

Поправил одну буковку.

bread ()
Ответ на: комментарий от ozz_is_here

В KDE тоже работает, но в какой-то момент нельзя менять размер окна.

Да все там нормально работает. И изменение размера тоже.
Я тоже поначалу долго мучился и дергал то в фоксе, то в самих кедах отключение рамки. А потом оказалось, что во-первых может быть кривая тема для GTK, а во-вторых фоксик как-то так незаметно запускается в режиме «распахнуть» и рамочка пропадает.

athost ★★★★★ ()
Последнее исправление: athost (всего исправлений: 2)
Ответ на: комментарий от athost

Я просто так и не понял, из-за чего это происходит. Сначала всё норм, а потом не работает. Тему чекну, спасибо.

ozz_is_here ()

Ты уверен, что это лиса виновата, а не какой-нибудь AppArmor гівна в дупу заливает?

bodqhrohro_promo ()

Меня лиса ну не как не устаревает, но показал бате, он с «оперы» ушёл на неё и доволен, это всё на винде.

Вот получается кому то нравится, но не мне.

Сам на вивальди, бате не понравилось.

petyanamlt ★★★ ()

Что за словари, кому и зачем они нужны?
Кому и зачем нужна system-wide инсталляция расширений? А если уж действительно так нужна, то что мешает сделать симлинки/примонтировать (В том числе автоматически)?

Deleted ()
Ответ на: комментарий от Virtuos86

в хроме отлично все устанавливается распакованным. Фича очень нужна разрабам расширений, перепаковывать расширение каждый раз - это безумие

stevejobs ★★★☆☆ ()
Ответ на: комментарий от stevejobs

В режиме отладки в ФФ всё также отлично устанавливается распакованным, базарю, прекрасно разрабатываю расширения. Для обычного юзера такая фича — большой и толстый хрен поверх секьюрности. Кто проверяет распакованные расширения на предмет вредоносности?

Virtuos86 ★★★★★ ()

Так победим! Долой функционал, даешь больше социальной интеграции в браузер!

StReLoK ☆☆ ()
Ответ на: комментарий от commagray

Как в этом вашем Quantum переместить кнопку меню, сделать её слева от вкладок? Так, как это позволяет сделать CTR

TheAnonymous ★★★★★ ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)